Contributing
============

Contributions are **welcome** and will be fully **credited**.

We accept contributions via Pull Requests on [Github](https://github.com/SammyK/cokito-weather).


Pull Requests
-------------

- **Coding Syntax** - Please keep the code syntax consistent with the rest of the package.

- **Add unit tests!** - Your patch won't be accepted if it doesn't have tests.

- **Document any change in behavior** - Make sure the README and any other relevant documentation are kept up-to-date.

- **Consider our release cycle** - We try to follow [semver](http://semver.org/). Randomly breaking public APIs is not an option.

- **Create topic branches** - Don't ask us to pull from your master branch.

- **One pull request per feature** - If you want to do more than one thing, send multiple pull requests.

- **Send coherent history** - Make sure each individual commit in your pull request is meaningful. If you had to make multiple intermediate commits while developing, please squash them before submitting.


Running Tests
-------------

``` bash
$ phpunit
```


**Happy coding**!
